Commit e26a6699 authored by Ubbo Veentjer's avatar Ubbo Veentjer
Browse files

springboot up to 2.3, gradle up to 6.4, xlint options for build

parent 44b2ab40
plugins {
id 'org.springframework.boot' version '2.2.4.RELEASE'
id 'org.springframework.boot' version '2.3.0.RELEASE'
id 'com.github.node-gradle.node' version '2.2.0'
}
......@@ -37,6 +37,11 @@ test {
useJUnitPlatform()
}
// show deprecation and unchecked warnings when compiling java src
tasks.withType(JavaCompile) {
options.compilerArgs << "-Xlint:unchecked" << "-Xlint:deprecation"
}
/**
* node / npm dependencies
*/
......
distributionBase=GRADLE_USER_HOME
distributionPath=wrapper/dists
distributionUrl=https\://services.gradle.org/distributions/gradle-6.0.1-bin.zip
distributionUrl=https\://services.gradle.org/distributions/gradle-6.4-bin.zip
zipStoreBase=GRADLE_USER_HOME
zipStorePath=wrapper/dists
Markdown is supported
0% or .
You are about to add 0 people to the discussion. Proceed with caution.
Finish editing this message first!
Please register or to comment